Bug 255476 - www/tt-rss: Update to g20210423 e8f78181f
Summary: www/tt-rss: Update to g20210423 e8f78181f
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thierry Thomas
URL: https://reviews.freebsd.org/D30030
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-29 01:48 UTC by Derek Schrock
Modified: 2021-05-23 10:10 UTC (History)
3 users (show)

See Also:


Attachments
Update to g20210423 (e8f78181f) (152.84 KB, patch)
2021-04-29 01:48 UTC, Derek Schrock
no flags Details | Diff
Update to g20210423 (e8f78181f) (150.33 KB, patch)
2021-04-29 13:15 UTC, Derek Schrock
no flags Details | Diff
Update to g20210423 (e8f78181f) (150.36 KB, patch)
2021-05-17 20:47 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2021-04-29 01:48:24 UTC
Created attachment 224513 [details]
Update to g20210423 (e8f78181f)

This update adds a new plugin installer and removes the web based installer.

    - Update to g20210423 (e8f78181f).
      - New config.php syntax.
      - Removeal of web installer.
      - New web based plug installer.
    - web plugin installer requires git.
    - pkg-message changes due to web installer removal.
    - ttrssd update to handle database schema upgrades.
    - ttrssd use daemon and cleanup.
    - UPDATING for config.php changes.
    - pkg-plist cleanup.


portlint: ok. 2 expected warnings.
testport: ok. 13amd64.

https://reviews.freebsd.org/D30030
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-29 06:13:55 UTC
Hi Derek,

Could you attach a plain git diff patch? There are comments at the top that come from the review itself and makes it harder to apply :-)

Thanks!
Comment 2 Daniel Engberg freebsd_committer 2021-04-29 07:26:33 UTC
It also touches devel/universal-ctags/Makefile which is unrelated
Comment 3 Derek Schrock 2021-04-29 13:14:28 UTC
oops forgot to reupload that patch here.

You can find the updated one on the Phab review.  https://reviews.freebsd.org/D30030  "Download Raw Diff".
Comment 4 Derek Schrock 2021-04-29 13:15:34 UTC
Created attachment 224524 [details]
Update to g20210423 (e8f78181f)

(removing rogue univ-ctags change)
Comment 5 Derek Schrock 2021-04-29 18:37:49 UTC
(In reply to Fernando Apesteguía from comment #1)

You should be able to apply patches from git-format-patch (the first patch) via git-am.
Comment 6 commit-hook freebsd_committer 2021-04-30 08:43:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ca4d4d01cf0aaa7cac65c813b188687825a7cce2

commit ca4d4d01cf0aaa7cac65c813b188687825a7cce2
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-30 06:15:34 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-30 08:38:10 +0000

    www/tt-rss: Update to g20210423 e8f78181f

    PR:     255476
    Reported by:    dereks@lifeofadishwasher.com (maintainer)
    Differential Revision: https://reviews.freebsd.org/D30030

 UPDATING                             |   13 +
 www/tt-rss/Makefile                  |   31 +-
 www/tt-rss/distinfo                  |    6 +-
 www/tt-rss/files/config.php.in (new) |   29 +
 www/tt-rss/files/pkg-message.in      |   36 +-
 www/tt-rss/files/ttrssd.in           |   59 +-
 www/tt-rss/pkg-plist                 | 2346 ++++++++++++++++------------------
 7 files changed, 1242 insertions(+), 1278 deletions(-)
Comment 7 Fernando Apesteguía freebsd_committer 2021-04-30 08:43:59 UTC
Committed,

Thanks!
Comment 8 Derek Schrock 2021-04-30 14:01:29 UTC
You might have jumped the gun on this.

The patches were attached without + (maintainer approved).  I was waiting on the review (https://reviews.freebsd.org/D30030) to finish.
Comment 9 Fernando Apesteguía freebsd_committer 2021-04-30 14:30:58 UTC
(In reply to Derek Schrock from comment #8)
I must have not checked the creation date properly and thought the review was older.

Do you want me to revert the change and reopen the review?
Comment 10 Derek Schrock 2021-04-30 15:38:33 UTC
(In reply to Fernando Apesteguía from comment #9)

Yeah, revert it until the review is finished.
Comment 11 Fernando Apesteguía freebsd_committer 2021-04-30 15:54:21 UTC
(In reply to Derek Schrock from comment #10)
Done.

https://cgit.FreeBSD.org/ports/commit/?id=626f25dc094ccfa8f3fdd6a30488855b297343d4
Comment 12 Derek Schrock 2021-05-17 20:47:09 UTC
Created attachment 225039 [details]
Update to g20210423 (e8f78181f)

D30030 review complete.  Patch is ready.
Comment 13 Thierry Thomas freebsd_committer 2021-05-23 10:10:15 UTC
Committed, thanks!
Comment 14 commit-hook freebsd_committer 2021-05-23 10:10:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7e3a028cf0cdd1aed9f8309f2955a7e071a0c095

commit 7e3a028cf0cdd1aed9f8309f2955a7e071a0c095
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-05-23 10:06:15 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-05-23 10:09:58 +0000

    www/tt-rss: Update to g20210423 e8f78181f

    This update adds a new plugin installer and removes the web based installer.

        - Update to g20210423 (e8f78181f).
          - New config.php syntax.
          - Removeal of web installer.
          - New web based plug installer.
        - web plugin installer requires git.
        - pkg-message changes due to web installer removal.
        - ttrssd update to handle database schema upgrades.
        - ttrssd use daemon and cleanup.
        - UPDATING for config.php changes.
        - pkg-plist cleanup.

    PR:             255476
    Reported by:    Derek Schrock (maintainer)
    Differential Revision:  <https://reviews.freebsd.org/D30030>

 UPDATING                             |   11 +
 www/tt-rss/Makefile                  |   31 +-
 www/tt-rss/distinfo                  |    6 +-
 www/tt-rss/files/config.php.in (new) |   31 +
 www/tt-rss/files/pkg-message.in      |   36 +-
 www/tt-rss/files/ttrssd.in           |   59 +-
 www/tt-rss/pkg-plist                 | 2346 ++++++++++++++++------------------
 7 files changed, 1242 insertions(+), 1278 deletions(-)